<template>
  <form class="edit-form">
    <input
      type="text"
      class="input"
      @input="onInputHandler"
      :value="value"
    >
    <button class="btn accept" @click="editTodo">
      <font-awesome-icon icon="fa-solid fa-check" />
    </button>
    <button class="btn reject" @click="cancelEdit">
      <font-awesome-icon icon="fa-solid fa-xmark" />
    </button>
  </form>
</template>

<script>
export default {
  name: 'edit-input',
  props: {
    value: {
      type: String,
      required: true
    }
  },
  methods: {
    onInputHandler (event) {
      this.$emit('input', event.target.value)
    },
    editTodo (event) {
      this.$emit('accept', event)
    },
    cancelEdit (event) {
      this.$emit('reject', event)
    }
  }
}
</script>

<style scoped>
.input {
  border: 1px solid #D28700FF;
  border-radius: 10px;
  padding: 0 5px;
  outline: none;
  font-size: 22px;
  color: #D28700FF;
  width: 200px;
}

.input::selection {
  background-color: #D28700FF;
  color: #fff;
}

.edit-form {
  display: flex;
  align-items: center;
}

.btn {
  width: 25px;
  height: 25px;
  background-color: transparent;
  border: none;
  color: #D28700FF;
  cursor: pointer;
}

.accept {
  margin: 0 5px;
}

@media screen and (max-width: 780px) {
  .input {
    width: 100px;
  }
}

@media screen and (max-width: 570px) {
  .accept {
    margin: 0;
  }
  .input {
    width: 90px;
  }
  .btn {
    width: 20px;
    height: 20px;
  }
}
</style>
